[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.CellToGridZone

Determines the grid zone for the specified cell.

## Declaration

Source position: grids.pas line 1339

`public function TCustomGrid.CellToGridZone(`
`aCol: Integer;`
`aRow: Integer`
`):TGridZone;`

## Arguments

`aCol` |  | Column number examined in the method.
`aRow` |  | Row number examined in the method.

## Function result

TGridZone enumeration value for the cell.

## Description

CellToGridZone is a TGridZone function used to get the grid zone where the specified cell is located. It is similar in nature to the MouseToGridZone method, but uses grid coordinates instead of mouse coordinates. The return value is one of the TGridZone enumeration values.

gzInvalid
  Returned when ACol or ARow contain a negative number.
gzFixedCells
  Returned when both ACol and ARow are in the FixedCols and FixedRows for the grid.
gzFixedCol
  Returned when ACol is one of the FixedCols for the grid.
gzFixedRow
  Returned when ARow is one of the FixedRows for the grid.
gzNormal
  Default value returned for a cell that is neither a fixed column nor a fixed row.

CellToGridZone is used in the implementation of methods like MouseUp, CacheMouseDown, Clean, and LoadContent.